数据提供商: TikHub
微博高级搜索
$0.001 / 次调用在 40 秒内响应
通过 TikHub 在 Weibo 上进行高级搜索。每次调用发送一次请求;无论是否返回数据,TikHub 都对请求计费,空数据响应会标记为无结果。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the TikHub endpoint /api/v1/weibo/web_v2/fetch_advanced_search on Glasser.bash
glasser run -p tikhub -e '/api/v1/weibo/web_v2/fetch_advanced_search' -i '{"q":"yu7"}' --endpoint-version 2使用接口版本 2。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/weibo/web_v2/fetch_advanced_search","input":{"q":"yu7"},"endpoint_version":2}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 2,运行前请确认当前价格。
第 2 步尝试一个具体任务
研究问题时,可以搜索相关来源,并判断哪些结果值得进一步阅读。
复制此提示词到你的 Agent,查找研究问题的资料来源。
提示词
Use tikhub:/api/v1/weibo/web_v2/fetch_advanced_search on Glasser.
Search for sources about my research question and explain which returned results are relevant.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"q"
],
"properties": {
"q": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Search keyword (required)"
},
"page": {
"type": "integer",
"description": "Page number (default 1)"
},
"timescope": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Time scope (format: custom:start_date:end_date, e.g. custom:2025-09-01-0:2025-09-08-23)"
},
"search_type": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Search type (all/hot/original/verified/media/viewpoint)"
},
"include_type": {
"type": "string",
"maxLength": 2048,
"minLength": 1,
"description": "Include type (all/pic/video/music/link)"
}
},
"additionalProperties": false
}json
{
"q": "yu7"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据或无匹配 | 有无匹配数据均按此价格收费。 | $0.001 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |